
Katello - Refactor #5575

Rename Katello model KTEnvironment to LifecycleEnvironment

05/05/2014 08:10 PM - Partha Aji

Status: Rejected   

Priority: Normal   

Assignee: Partha Aji   

Category:    

Target version:    

Branch:  Pull request:  

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

To prevent conflicts with foreman's environment, the  environment related routes in Katello are going to get renamed to

lifecycleEnvironment. This has already happened on UI . However the model in katello is still inconsistently named KTEnvironment

as opposed LifecycleEnvironment. At some point in the near future we are going to have to do this rename.

Also foreman's permission system uses the name of a model to translate to appropriate routing path. If the model is KTEnvironment it

expects that this model will govern kt_environment* paths. With the kt_environment* paths now called lifecycle_environment paths

we are going  to run into issues (hopefully foreman will fix this ,,,)

So this rename needs to happen.

History

#1 - 06/04/2014 07:03 PM - Eric Helms

- Tracker changed from Bug to Refactor

- Subject changed from KTEnvironment -> LifecycleEnvironment to Rename Katello model KTEnvironment to LifecycleEnvironment

- Category set to 81

- Difficulty set to medium

#2 - 07/24/2014 10:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4048 added

#3 - 07/25/2014 05:47 PM - Eric Helms

- Status changed from Ready For Testing to Assigned

- Target version deleted (49)

- Triaged changed from No to Yes

- Pull request  added

- Pull request deleted (https://github.com/Katello/katello/pull/4048)

#4 - 12/21/2015 11:25 AM - Eric Helms

- translation missing: en.field_release set to 86

#5 - 01/31/2016 09:51 AM - Eric Helms

- translation missing: en.field_release changed from 86 to 114

#6 - 08/28/2019 08:15 PM - John Mitsch

- Status changed from Assigned to Rejected

- Target version deleted (Katello Backlog)
Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep

a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the

new issue and reassess.
